Commit b1f90817 authored by Alexandre Duret-Lutz's avatar Alexandre Duret-Lutz

ltsmin: use any installed libltdl

This should solve issue with the Debian package.

* spot/ltsmin/Makefile.am: Use the LTDLINC, LTDLDEPS and LIBLTDL as
documented.
* NEWS: Mention the fix.
parent 9bc978a9
New in spot 2.2.1.dev (Not yet released)
Build:
* If the system has an installed libltdl library, use it instead of
the one we distribute.
Bug fixes:
* scc_filter() had a left-over print statement that would print
......
## -*- coding: utf-8 -*-
## Copyright (C) 2011, 2013, 2014, 2015 Laboratoire de Recherche et
## Developpement de l'Epita (LRDE).
## Copyright (C) 2011, 2013, 2014, 2015, 2016 Laboratoire de Recherche
## et Developpement de l'Epita (LRDE).
##
## This file is part of Spot, a model checking library.
##
......@@ -18,7 +18,7 @@
## along with this program. If not, see <http://www.gnu.org/licenses/>.
AM_CPPFLAGS = -I$(top_builddir) -I$(top_srcdir) \
$(BUDDY_CPPFLAGS) -I$(top_srcdir)/ltdl
$(BUDDY_CPPFLAGS) $(LTDLINCL)
AM_CXXFLAGS = $(WARNING_CXXFLAGS)
ltsmindir = $(pkgincludedir)/ltsmin
......@@ -26,8 +26,11 @@ ltsmindir = $(pkgincludedir)/ltsmin
ltsmin_HEADERS = ltsmin.hh
lib_LTLIBRARIES = libspotltsmin.la
libspotltsmin_la_DEPENDENCIES = \
$(top_builddir)/spot/libspot.la \
$(LTDLDEPS)
libspotltsmin_la_LIBADD = \
$(top_builddir)/spot/libspot.la \
$(top_builddir)/ltdl/libltdlc.la -lpthread
$(LIBLTDL) -lpthread
libspotltsmin_la_LDFLAGS = -no-undefined $(SYMBOLIC_LDFLAGS)
libspotltsmin_la_SOURCES = ltsmin.cc
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment